読者です 読者をやめる 読者になる 読者になる

selenium-webdriver のインストール

Selenium を使用してちょっとしたブラウザ操作をするために、 selenium-webdriver をインストールしようとした。

http://rubygems.org/gems/selenium-webdriver

ここにある通りのコマンドを実行

$ gem install selenium-webdriver
ERROR:  Could not find a valid gem 'selenium-webdriver' (>= 0) in any repository
ERROR:  Possible alternatives: selenium-webdriver

あれ…。そんな gem は見つからないって…。

$ gem install "selenium-webdriver"
Fetching: multi_json-1.3.6.gem (100%)
Fetching: rubyzip-0.9.9.gem (100%)
Fetching: ffi-1.1.5.gem (100%)
Building native extensions.  This could take a while...
Fetching: childprocess-0.3.5.gem (100%)
Fetching: addressable-2.3.2.gem (100%)
Fetching: libwebsocket-0.1.5.gem (100%)
Fetching: selenium-webdriver-2.25.0.gem (100%)
Successfully installed multi_json-1.3.6
Successfully installed rubyzip-0.9.9
Successfully installed ffi-1.1.5
Successfully installed childprocess-0.3.5
Successfully installed addressable-2.3.2
Successfully installed libwebsocket-0.1.5
Successfully installed selenium-webdriver-2.25.0
7 gems installed

クォーテーションを付けることで解決しました。